<%@ page language="java" contentType="text/html; charset=UTF-8"
	pageEncoding="UTF-8"%>
	
<style>
.fixedSizePraiseCard,.fixedCountPraiseCard{
	width:400px;
	display:inline-block;
}
#diySizePraiseCard,#diyCountPraiseCard{
	width:400px;
	display:inline-block;
}
.fixedSizePraiseCard .layui-input,.fixedCountPraiseCard .layui-input{
	width:100%
}
.fixedSizePraiseCard .layui-edge,.fixedCountPraiseCard .layui-edge{
	right:0px
}
</style>
<input type="hidden" name="proTypeValue" class="layui-input" value="好评卡">
<p>材质</p>
<div class="layui-form-item">
	<input type="radio" name="kindValue" lay-filter="kindValue" value="2" title="300克铜版纸">
	<input type="radio" name="kindValue" lay-filter="kindValue" value="0" title="157克铜版纸">
</div>
<p>
	规格	
</p>
<div class="layui-form-item fixedSizePraiseCard">
	<select name="size" id="fixedSizePraiseCard" class="select">
		<option value="14*6.8">14*6.8 cm</option>
	</select>
</div>
<span class="diySizePraiseCard" style="display:none">
	<input type="text" name="size" id="diySizePraiseCard" placeholder="格式:长*宽" class="layui-input" autocomplete="off">
</span>
<input type="checkbox" name="switchSize" class="switchSizePraiseCard" lay-filter="switchSizePraiseCard" title="自定义尺寸" lay-skin="primary">
<span style="font-size:14px;color:red">输入格式: 长 * 宽</span> 
<p>
	数量（张）
</p>
<div class="layui-form-item fixedCountPraiseCard">
	<select name="count" class="select">
		<option value="200">200</option>
		<option value="500">500</option>
		<option value="1000">1000</option>
		<option value="2000">2000</option>
		<option value="5000">5000</option>
		<option value="10000">10000</option>
	</select>
</div>
<span class="diyCountPraiseCard" style="display:none">
	<input type="text" name="count"id="diyCountPraiseCard" placeholder="请输入整数" autocomplete="off"
		 class="layui-input" lay-verify="number">
</span>
<input type="checkbox" name="switchCount" lay-filter="switchCountPraiseCard" title="自定义数量" lay-skin="primary">
<p>款数</p>
<div class="layui-form-item">
	<input type="text" placeholder="请输入整数" autocomplete="off" name="number"
		id="numberPraiseCard" value="1" class="layui-input" lay-verify="number">
</div>
<p>
	客户旺旺
</p>
<div class="layui-form-item">
	<input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang" class="layui-input">
</div>
<script>
	layui.use(['table','form'], function(){    
	    var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
	    var table = layui.table;
	    
	    
	    $('.switchSizePraiseCard').val("off")
		// 自定义尺寸
		form.on('checkbox(switchSizePraiseCard)', function(data) {
			if(data.elem.checked){
				 $('.switchSizePraiseCard').val("on")
				$(".diySizePraiseCard").show();
				$(".fixedSizePraiseCard").hide();
				$(".diySizePraiseCard").find(":input").attr("disabled", false);
				$(".fixedSizePraiseCard").find(":input").attr("disabled", true);
			} else {
				 $('.switchSizePraiseCard').val("off")
				$(".fixedSizePraiseCard").show();
				$(".diySizePraiseCard").hide();
				$(".fixedSizePraiseCard").find(":input").attr("disabled", false);
				$(".diySizePraiseCard").find(":input").attr("disabled", true);
				// 恢复标准数量的时候会被禁用，加这个解决
				form.render();
			}
		})
		
		// 自定义數量
		form.on('checkbox(switchCountPraiseCard)', function(data) {
			if(data.elem.checked){
				$(".diyCountPraiseCard").show();
				$(".fixedCountPraiseCard").hide();
				$(".diyCountPraiseCard").find(":input").attr("disabled", false);
				$(".fixedCountPraiseCard").find(":input").attr("disabled", true);		
			} else {
				$(".fixedCountPraiseCard").show();
				$(".diyCountPraiseCard").hide();
				$(".fixedCountPraiseCard").find(":input").attr("disabled", false);
				$(".diyCountPraiseCard").find(":input").attr("disabled", true);
			}
			// 恢复标准数量的时候会被禁用，加这个解决
			form.render();
		})
	})
</script>